Skip to main content
`Ctrl`+`K`

# PetscViewerBinaryWriteStringArray

writes to a binary file, only from the first MPI rank, an array of strings

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinaryWriteStringArray(PetscViewer viewer, const char *const data[])

Collective; No Fortran Support

## Input Parameters

- viewer - the `PETSCVIEWERBINARY` viewer

- data - location of the array of strings

## Note

The array of strings must be `NULL` terminated

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERBINARY`, `PetscViewerASCIIOpen()`, `PetscViewerPushFormat()`, `PetscViewerDestroy()`, `VecView()`, `MatView()`, `VecLoad()`, `MatLoad()`, `PetscViewerBinaryGetDescriptor()`, `PetscViewerBinaryGetInfoPointer()`, `PetscFileMode`, `PetscViewer`, `PetscViewerBinaryRead()`

## Level

intermediate

## Location

src/sys/classes/viewer/impls/binary/binv.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages